Eliminate separate `nfdc create` step

refs #2906

Change-Id: I68b3a1af7d011006c473878c5946b8e68a754940
diff --git a/test_localhost_scope/out-B.sh b/test_localhost_scope/out-B.sh
index df0bf29..d0ec56a 100755
--- a/test_localhost_scope/out-B.sh
+++ b/test_localhost_scope/out-B.sh
@@ -1,18 +1,10 @@
 #!/bin/bash
 FACEURI=$1
 
-if ! CREATE=$(nfdc create $FACEURI)
-then
-  return 1
-fi
-sleep 1
-
-FACEID=$(echo $CREATE | grep -Po 'FaceId: .*?,' | sed 's/FaceId: //' | sed 's/,//')
-
-if ! output=$(nfdc add-nexthop ndn:/ $FACEID)
+if ! output=$(nfdc add-nexthop ndn:/ $FACEURI)
 then
   return 2
 fi
 
-output=$(nfdc add-nexthop ndn:/localhost/test-out $FACEID 2>&1)
+output=$(nfdc add-nexthop ndn:/localhost/test-out $FACEURI 2>&1)
 return 0